Products

Update Product

PUT
/orgs/{organizationId}/products/{id}

Updates an existing product.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

id*string

Request Body

application/json
  1. body
name*string
description*string|null
amountPerUnit*number
ledger*number|null
taxPercentage*number
disabled?boolean
Defaultfalse
configuredActions?array<>
Default[]
metadata?
Default{}
createdAt*string
Formatdate-time
updatedAt*string
Formatdate-time

Response Body

OK

application/json
  1. response
curl -X PUT 'https://api.tillor.eu/orgs/string/products/string' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "description": "string",  "amountPerUnit": 0,  "ledger": 0,  "taxPercentage": 0,  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}'
null